[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# PColor

Pointer to the TColor type.

## Declaration

Source position: graphics.pp line 58

`type PColor = System.UITypes.PColor;`

## Description

The base type used for the definition is dependent on the FPC compiler version used to build the LCL. Starting in FPC version 3.2.3, the base type is the type defined in the System.UITypes namespace in the FPC run-time library (RTL). For previous compiler versions, the base type is a pointer to TColor.

This is done to prevent type conflicts when both System.UITypes and LCL units are used.